careCycle
Sources

Get source performance metrics for a campaign

Get source performance metrics for a campaign

GET
/v2/sources/performance

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Query Parameters

string

GET /v2/sources/performance Parameter

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

GET /v2/sources/performance Parameter

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Formatdate-time
string

GET /v2/sources/performance Parameter

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/sources/performance"
{
  "sources": [
    {
      "sourceId": "string",
      "campaignSourceId": "string",
      "name": "string",
      "pings_total": 0,
      "pings_available": 0,
      "pings_dialed": 0,
      "pings_billable": 0,
      "pings_converted": 0,
      "ping_to_call_rate": 0,
      "ping_billable_rate": 0,
      "ping_conversion_rate": 0,
      "leads_dialed": 0,
      "contact_rate": 0,
      "transfer_rate": 0,
      "appointments_booked": 0,
      "appointment_rate": 0,
      "close_rate": 0,
      "external_transfers": 0,
      "pending_outcomes": 0,
      "pending_outcome_rate": 0,
      "total_usage_cost": 0,
      "total_cost": 0,
      "cost_per_transfer": 0,
      "total_calls": 0,
      "billable_calls": 0,
      "billable_percentage": 0,
      "spend": 0,
      "new_transfers": 0,
      "new_calls": 0,
      "new_transfer_percentage": 0,
      "appointment_transfers": 0,
      "appointment_calls": 0,
      "appointment_transfer_percentage": 0,
      "total_transfers": 0,
      "total_transfer_percentage": 0,
      "billable_transfers": 0,
      "billable_transfer_rate": 0,
      "converted_calls": 0,
      "transfer_conversion_rate": 0,
      "cost_per_acquisition": 0,
      "average_cpa": 0
    }
  ],
  "agentBreakdown": [
    {
      "sourceId": "string",
      "campaignSourceId": "string",
      "sourceName": "string",
      "agentId": "string",
      "agentName": "string",
      "total_calls": 0,
      "transfers": 0,
      "transfer_rate": 0,
      "external_transfers": 0,
      "appointments_booked": 0,
      "appointment_rate": 0,
      "converted_calls": 0,
      "close_rate": 0,
      "pending_outcomes": 0,
      "pending_outcome_rate": 0,
      "billable_calls": 0,
      "spend": 0,
      "total_usage_cost": 0,
      "total_cost": 0,
      "cost_per_transfer": 0,
      "cost_per_acquisition": 0,
      "average_cpa": 0
    }
  ],
  "dispositionBreakdown": [
    {
      "sourceId": "string",
      "campaignSourceId": "string",
      "sourceName": "string",
      "disposition": "string",
      "count": 0,
      "percentage": 0
    }
  ],
  "stateBreakdown": [
    {
      "sourceId": "string",
      "campaignSourceId": "string",
      "sourceName": "string",
      "state": "string",
      "leads_dialed": 0,
      "contact_rate": 0,
      "transfer_rate": 0,
      "appointments_booked": 0,
      "converted_calls": 0,
      "pending_outcomes": 0
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}